utility class to record all the selections within the provenance graph

### Hierarchy

- SelectionRecorder

## Index

### Constructors

- constructor

### Methods

- destroy

## Constructors

### constructor

- new SelectionRecorder(graph: ProvenanceGraph, type?: string, options?: any): SelectionRecorder

- - Defined in selection.ts:156

  #### Parameters

  - ##### graph: ProvenanceGraph

  - ##### Optional type: string

  - ##### Default value options: any = {}

  #### Returns SelectionRecorder

## Methods

### destroy

- destroy(): void

- - Defined in selection.ts:169

  #### Returns void

Generated using TypeDoc